Target version: 4.0.0   

Resolution: Fixed   

Description

In "Copy" section on copy_project page, which is used to select objects to copy, you cannot toggle all checkboxes at one click.

I think the section also should have a green tick icon to check/uncheck all checkboxes.

Related issues:

Copied from Redmine - Feature #29053: Add check/unchek all icon in "Email not... Closed

Associated revisions

Revision 17417 - 2018-06-25 11:48 - Go MAEDA

Add check/unchek all icon in "Copy" section on copy_project page (#29080).

Patch by Mizuki ISHIKAWA.

History

#1 - 2018-06-21 11:22 - Go MAEDA

- Copied from Feature #29053: Add check/unchek all icon in "Email notifications" section on "My account" page added

#2 - 2018-06-25 10:30 - Mizuki ISHIKAWA

I think that you can add icons with the following code.

diff --git a/app/views/projects/copy.html.erb b/app/views/projects/copy.html.erb

index ee725ebd97..f5524b9658 100644

--- a/app/views/projects/copy.html.erb

+++ b/app/views/projects/copy.html.erb

@@ -3,7 +3,7 @@

 <%= labelled_form_for @project, :url => { :action => "copy" } do |f| %>

 <%= render :partial => 'form', :locals => { :f => f } %>

-<fieldset class="box tabular"><legend><%= l(:button_copy) %></legend>

+<fieldset class="box tabular"><legend><%= toggle_checkboxes_link('.box input[type="checkbox"][name="only[]"]'

) %><%= l(:button_copy) %></legend>

   <label class="block"><%= check_box_tag 'only[]', 'members', true, :id => nil %> <%= l(:label_member_plural)

 %> (<%= @source_project.members.count %>)</label>

   <label class="block"><%= check_box_tag 'only[]', 'versions', true, :id => nil %> <%= l(:label_version_and_f

iles, @source_project.versions.count) %></label>

   <label class="block"><%= check_box_tag 'only[]', 'issue_categories', true, :id => nil %> <%= l(:label_issue

_category_plural) %> (<%= @source_project.issue_categories.count %>)</label>

#3 - 2018-06-25 10:43 - Go MAEDA

- Target version set to 4.1.0

LGTM. Setting target version to 4.1.0.

#4 - 2018-06-25 11:48 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

2025-08-23 1/2



- Resolution set to Fixed

Committed. Thank you for improving Redmine.

#5 - 2018-06-25 19:03 - Marius BĂLTEANU

- Subject changed from Add check/unchek all icon in "Copy" section on copy_project page to Add check/uncheck all icon in "Copy" section on

copy_project page
